aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--net-libs/xulrunner/Manifest2
-rw-r--r--net-libs/xulrunner/xulrunner-9999.ebuild12
2 files changed, 11 insertions, 3 deletions
diff --git a/net-libs/xulrunner/Manifest b/net-libs/xulrunner/Manifest
index fcc24eb..09c761f 100644
--- a/net-libs/xulrunner/Manifest
+++ b/net-libs/xulrunner/Manifest
@@ -1,3 +1,3 @@
AUX default-prefs.js 584 RMD160 2fd5ffe5ba46ec3ca7e17c3262f444b383c36e35 SHA1 9d9b838c253b4a136bbde38671e82079ea8d2e4b SHA256 eff68bbd2a1fb9f84d092da1cb765cf95183b57c511938689eed8cf94380c0e5
AUX gentoo-specific.patch 2957 RMD160 684dc2176769a56c2b1c206b59f999cd44d99c45 SHA1 35ff8e325e45b5384a404a4f99b12fdba9d5e0f3 SHA256 23d981e48a5308dd11ce2fc831071d138d54717bff9cb546dfc5467b0f4204c7
-EBUILD xulrunner-9999.ebuild 2284 RMD160 894538962e60ba815d67536bfc099a02da2888e5 SHA1 d5c25553c27bd54c7d7d7df74ffd5a93bfc3296f SHA256 cb9300a46d7e8675229a73b6493b207aa861d6b73f5d54bb72754a0d27871d3d
+EBUILD xulrunner-9999.ebuild 2862 RMD160 559b7f6453889f036508db292b8d964b514a8987 SHA1 8bbbfcf3fcd66ed7a839b0aebacdc646ba2f49b9 SHA256 ec153416f62a5f7f47e6877a671876865d4cc763ddc8329ab0a68ce859d93b9d
diff --git a/net-libs/xulrunner/xulrunner-9999.ebuild b/net-libs/xulrunner/xulrunner-9999.ebuild
index f05db6c..be9e990 100644
--- a/net-libs/xulrunner/xulrunner-9999.ebuild
+++ b/net-libs/xulrunner/xulrunner-9999.ebuild
@@ -47,9 +47,17 @@ src_prepare() {
|| die "sed failed!"
fi
- eautoreconf
+ sed -i -e '/^MOZ_JS_SHARED_LIBS=/c\MOZ_JS_SHARED_LIBS=$`js-config --libs`' configure.in \
+ || die "failed to add libmozjs configure"
+ sed -i -e '/^MOZ_JS_SHARED_LIBS=/aCFLAGS="$`js-config --cflags` $CFLAGS"' configure.in \
+ || die "failed to add libmozjs configure"
+ sed -i -e '\|^AC_OUTPUT_SUBDIRS(js/src)|d' configure.in \
+ || die "remove js/src configure failed"
+ sed -i -e '\|^include $(topsrcdir)/config/js/build.mk|d' toolkit/toolkit-tiers.mk \
+ || die "remove config/js/build.mk failed"
+ sed -i -e '/mozilla-js.pc/d' xulrunner/installer/Makefile.in \
+ || die "remove mozilla-js.pc failed"
- cd js/src
eautoreconf
}